org.apache.hadoop.hdfs.server.blockmanagement

## Class SlowPeerTracker.ReportForJson

- java.lang.Object
- - org.apache.hadoop.hdfs.server.blockmanagement.SlowPeerTracker.ReportForJson

- Enclosing class:
    org.apache.hadoop.hdfs.server.blockmanagement.SlowPeerTracker

      public static class SlowPeerTracker.ReportForJson
      extends Object

  This structure is a thin wrapper over reports to make Json [de]serialization easy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportForJson(String slowNode, SortedSet<String> reportingNodes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortedSet<String>` | `getReportingNodes()`
    `String` | `getSlowNode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportForJson

          public ReportForJson(String slowNode,
                               SortedSet<String> reportingNodes)

  - ### Method Detail

    - #### getSlowNode

          public String getSlowNode()

    - #### getReportingNodes

          public SortedSet<String> getReportingNodes()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.